var window_size     = window.innerWidth;
const menuBtn       = $('.manu-toggler'),
      menuTarget    = menuBtn.data('target'),
      menuObj       = $('#' + menuTarget),
      animateTime   = 300;

$('a[href^="#"]').click(function() {
    var href        = $(this).attr('href'),
        target      = $(href == "#" || href == "" ? 'html' : href),
        position    = target.offset().top;

    $('body,html').animate({scrollTop:position}, animateTime, 'swing');
    return false;
});

$(window).on('resize', function() {
    window_size = window.innerWidth;
    if (1000 < window_size) {
        if (menuBtn.data('open') == true) {
            menuBtn.removeClass('open');
            menuBtn.data('open', false);
        }
        menuObj.show();
    } else {
        menuObj.hide();
    }
});

$(window).on('scroll', function() {
    if (window_size <= 1000) {
        if (menuObj.css("display") != "none") {
            menuBtn.removeClass("open");
            menuBtn.data("open", false);
            menuObj.slideUp(animateTime);
        }
    }
});

menuObj.find('a').on('click', function() {
    if (window_size <= 720) {
        menuObj.slideUp(animateTime);
    }
});


$('#pageTop').on('click', function () {
    scrollPosition(0);
});


$('.manu-toggler, .toggler').on('click', function() {
    var click_obj       = $(this),
        top_position    = 0,
        target          = click_obj.data('target'),
        target_obj      = $('#' + target),
        is_collapse     = false;
        is_accordion    = false;

    if($(this).data('open') == false) {
        $(this).addClass('open');
        $(this).data('open', true);
    } else {
        $(this).removeClass('open');
        $(this).data('open', false);
    }

    if (typeof click_obj.data('content_type') !== "undefined") {
        if (click_obj.data('content_type') == "collapse"
            || click_obj.data('content_type') == "accordion") {
            is_collapse = true;
            
            if (click_obj.data('content_type') == "accordion") {
                is_accordion = true;
            }
        }
    }
    if (is_collapse) {
        var is_open = target_obj.data('open');
        $('.collapse-body').slideUp(animateTime).data('open', false);
        if (!is_open) {
            target_obj.slideDown(animateTime).data('open', true);
        }
    } else {
        target_obj.slideToggle(animateTime);
    }
    
    if (is_accordion) {
        var diff    = 0;
        if (window_size <= 720) {
            diff = 10;
        } else {
            diff = 60;
        }

        if (click_obj.prev().hasClass('collapse-body')) {
            var prev_obj = click_obj.prev().prev();
            top_position = prev_obj.offset().top + prev_obj.height();
        } else {
            top_position = click_obj.offset().top - diff;
        }
        scrollPosition(top_position);
    }
    click_obj.removeClass('hover');
});

function scrollPosition(position) {
    $('body,html').animate({
        scrollTop: position
    });
}